Balance by Top-up API
Retrieves the remaining balance for a specific top-up transaction.
API Information
POST/v1/wallet/balance/ledger
Content-Type
application/json;charset=UTF-8테스트
https://tb-mps-api.hectofinancial.co.kr/v1/wallet/balance/ledger운영
https://mps-api.hectofinancial.co.kr/v1/wallet/balance/ledgerRequest Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
Prepaid member number.
*Unique prepaid member number assigned by Hecto Financial.
└ciAN(255)Alphanumeric, up to 255 bytes*
AES-256AES-256/ECB/PKCS5Padding + Base64Member CI value.Member CI value.
*Customer's unique CI value.
└trdNoAN(50)Alphanumeric, up to 50 bytes*Transaction approval number.
Transaction approval number.
*Unique transaction number assigned by Hecto Financial.
└trdDtAN(8)Alphanumeric, up to 8 bytes*Transaction date.
Transaction date.
*yyyyMMdd format.
└blcDivCdAN(1)Alphanumeric, up to 1 bytesBalance division code.
Balance division code.
*Balance division code (M: Money/Pending Money, P: Points).
Response Parameters
타입 표기법
N숫자A영문H한글AN영문+숫자AHN영문+한글+숫자예: AN(10) = 영문+숫자, 최대 10byte
└rsltCdAN(4)Alphanumeric, up to 4 bytes*Result code.
0000Result code.
0000: Success└rsltMsgAN(200)Alphanumeric, up to 200 bytes*Result message.
SuccessResult message.
rsltObj (Response Object)
└custNoAN(20)Alphanumeric, up to 20 bytes*Prepaid member number.
20240000Prepaid member number.
*Unique prepaid member number assigned by Hecto Financial.
└chrgAmtN(7)Numeric, up to 7 bytes*Initial top-up amount.
500000Initial top-up amount.
*Top-up amount at the time the transaction was created.
└blcAmtN(7)Numeric, up to 7 bytes*Current balance.
100000Current balance.
*Current remaining balance.
Request Example
{
"custNo": "2400001605",
"ci": "AES-encrypted CI value",
"trdNo": "24071616270200002193",
"trdDt": "20240716",
"blcDivCd": "M"
}
Response Examples
Success
{
"rsltCd": "0000",
"rsltMsg": "Success",
"rsltObj": {
"custNo": "2400001605",
"chrgAmt": "150000",
"blcAmt": "50000"
}
}
Failure
{
"rsltCd": "T-008",
"rsltMsg": "Original transaction not found."
}
Need technical support?
Code Samples
HectoFinancial GitHub